SIGBLOCK(2)

NAME
sigblock, sigmask - block signals

SYNOPSIS

#include <signal.h>

int sigblock(mask);
int mask;

int sigmask(signum)

DESCRIPTION

sigblock() adds the signals specified in mask to the set of signals currently being blocked from delivery. A signal is blocked if the appropriate bit in mask is set. The macro sigmask() is provided to construct the signal mask for a given signum. sigblock() returns the previous signal mask, which may be restored using sigsetmask(2).

It is not possible to block SIGKILL or SIGSTOP. The system silently imposes this restriction.

RETURN VALUES

sigblock() returns the previous signal mask.

The sigmask() macro returns the mask for the given signal number.

SEE ALSO
kill(2V), sigsetmask(2), sigvec(2), signal(3V)